@echo off
IF EXIST tools\%1.bat goto okay1
install.bat wav
:okay1

echo.
echo -----------------------------------------------------
echo - Monkey Island 2 - Ultimate Talkie Edition Builder -
echo -----------------------------------------------------
echo version 0.2 beta
echo (running in %1 mode)
echo.

IF EXIST ..\monkey2.pak goto okay2
goto fail
:okay2

IF EXIST ..\audio\Patch.xwb goto okay3
goto fail2
:okay3

md MI2_Ultimate_Talkie_Edition
copy >nul: readme.txt MI2_Ultimate_Talkie_Edition /y
cd tools

echo This patch will take about 1 hour, depending on your hardware.
echo Please be patient while I'm busy.
echo.

call voice.bat

IF EXIST ..\MI2_Ultimate_Talkie_Edition\monkey2.000 goto resource_done
echo.
echo patching scripts
MI2_ResExtract ..\..\ .
bspatch Monkey2.000 monkey2t.000 patch02.000
IF %ERRORLEVEL% NEQ 0 pause
bspatch Monkey2.001 monkey2t.001 patch02.001
IF %ERRORLEVEL% NEQ 0 pause
copy monkey2t.000 ..\MI2_Ultimate_Talkie_Edition\monkey2.000 /y
copy monkey2t.001 ..\MI2_Ultimate_Talkie_Edition\monkey2.001 /y
del >nul Monkey2.000
del >nul Monkey2.001
del >nul monkey2t.000
del >nul monkey2t.001
:resource_done

call %1.bat 22050

echo.
echo cleaning up.
del >nul *.%1
IF EXIST monster.sou copy monster.sou ..\MI2_Ultimate_Talkie_Edition /y
IF EXIST monkey.sof copy monkey.sof ..\MI2_Ultimate_Talkie_Edition\monkey2.sof /y
IF EXIST monkey.sog copy monkey.sog ..\MI2_Ultimate_Talkie_Edition\monkey2.sog /y
IF EXIST monkey.so3 copy monkey.so3 ..\MI2_Ultimate_Talkie_Edition\monkey2.so3 /y
IF EXIST monster.sou del >nul monster.sou
IF EXIST monkey.sof del >nul monkey.sof
IF EXIST monkey.sog del >nul monkey.sog
IF EXIST monkey.so3 del >nul monkey.so3

IF EXIST ..\MI2_Ultimate_Talkie_Edition\monkey2.exe goto exe_done
echo.
echo patching SCUMM for DOS
7z e fatecd.exe atlantis.exe adlib.ims rol_330.ims rol_332.ims rol_334.ims rol_336.ims speaker.ims
IF %ERRORLEVEL% NEQ 0 pause
7z e dottcd.exe gmidi.ims
IF %ERRORLEVEL% NEQ 0 pause
ren gmidi.ims gmidi.im_
bspatch atlantis.exe monkey2.exe patch01.ex_
IF %ERRORLEVEL% NEQ 0 pause
bspatch gmidi.im_ gmidi.ims patch05.im_
IF %ERRORLEVEL% NEQ 0 pause
copy monkey2.exe ..\MI2_Ultimate_Talkie_Edition /y
copy *.ims ..\MI2_Ultimate_Talkie_Edition /y
del >nul: atlantis.exe
del >nul: monkey2.exe
del >nul: gmidi.im_
del >nul: *.ims
:exe_done

echo.
echo -----------------------------------------------------
echo - Monkey Island 2 - Ultimate Talkie Edition Builder -
echo -----------------------------------------------------
echo All work is done.
echo (as long as there weren't any error messages)
echo.
goto end

:fail2
cls
echo This patch requires the updated version of
echo Monkey Island 2 Special Edition.
echo Please update before using this.
goto end

:fail
cls
echo monkey2.pak not found.
echo You should put the MI2_Ultimate_Talkie_Edition_Builder folder where
echo your monkey2.pak is located, and then run install.bat inside it.

:end
pause