@echo off
IF EXIST samples\00000000.wav goto done

echo.
echo extracting samples.


echo.
echo decompressing samples.

md samples
unxwb.exe ..\..\audio\Speech.xwb
unxwb.exe ..\..\audio\Patch.xwb
for %%i IN (*.wav) DO (
  echo %%~ni.wav
  ffmpeg.exe 2>nul -v 0 -i "%%~ni.wav" "samples\%%~ni.wav"
  del >nul "%%~ni.wav"
)

echo.
echo mixing special case samples.
cd samples
..\sox -r 42777 000003d5.wav -D -c 1 -t wav -V0 temp1.wav trim 2.866 1.230
..\sox temp1.wav -r 48016 -D -c 1 -t wav -V0 temp2.wav
..\sox 000003d5.wav -D -c 1 -t wav -V0 temp1.wav trim 0.000 2.553
..\sox temp1.wav temp2.wav _cdt_parlay.wav
..\sox vx112_DemBones_SE_nl_1.wav -D -c 1 -t wav -V0 _cdt_arm_con1.wav trim 71.881 2.073
..\sox vx112_DemBones_SE_nl_1.wav -D -c 1 -t wav -V0 _cdt_hea_con1.wav trim 10.943 2.059
..\sox vx112_DemBones_SE_nl_1.wav -D -c 1 -t wav -V0 _cdt_hip_con1.wav trim 31.281 2.020
..\sox vx112_DemBones_SE_nl_2.wav -D -c 1 -t wav -V0 _cdt_leg_con1.wav trim 31.257 2.075
..\sox vx112_DemBones_SE_nl_1.wav -D -c 1 -t wav -V0 _cdt_rip_con1.wav trim 79.304 2.056
..\sox vx112_DemBones_SE_nl_1.wav -D -c 1 -t wav -V0 _cdt_arm_bone.wav trim 33.536 1.098
..\sox vx112_DemBones_SE_nl_1.wav -D -c 1 -t wav -V0 _cdt_hea_bone.wav trim 74.208 1.178
..\sox vx112_DemBones_SE_nl_1.wav -D -c 1 -t wav -V0 _cdt_hip_bone.wav trim 20.673 1.184
..\sox vx112_DemBones_SE_nl_1.wav -D -c 1 -t wav -V0 _cdt_leg_bone.wav trim 53.883 1.245
..\sox vx112_DemBones_SE_nl_1.wav -D -c 1 -t wav -V0 _cdt_rip_bone.wav trim 40.999 1.161
..\sox vx112_DemBones_SE_nl_1.wav -D -c 1 -t wav -V0 _cdt_arm_con2.wav trim 34.994 2.068
..\sox vx112_DemBones_SE_nl_1.wav -D -c 1 -t wav -V0 _cdt_hea_con2.wav trim 75.610 2.099
..\sox vx112_DemBones_SE_nl_2.wav -D -c 1 -t wav -V0 _cdt_hip_con2.wav trim 35.005 2.051
..\sox vx112_DemBones_SE_nl_1.wav -D -c 1 -t wav -V0 _cdt_leg_con2.wav trim 55.252 2.110
..\sox vx112_DemBones_SE_nl_1.wav -D -c 1 -t wav -V0 _cdt_rip_con2.wav trim 14.655 2.009
copy >nul ..\_cdt_silence _cdt_silence.wav
del >nul temp1.wav
del >nul temp2.wav
cd ..

:done